@ECHO OFF
REM Install file for the INFOrmation Library by K6PBT.
REM For new or update installations.
REM Last modified March 1992.
CLS
IF X%1==%1X GOTO DIR
IF %1==NEW GOTO NEW
IF %1==New GOTO NEW
IF %1==new GOTO NEW
IF %1==UPDATE GOTO UPDATE
IF %1==Update GOTO UPDATE
IF %1==update GOTO UPDATE
:DIR
ECHO:
ECHO K6PBT INFOrmation Library Installation
ECHO:
ECHO If this is a FIRST time installation, type INSTLIB NEW
ECHO If this is an UPDATE installation, type INSTLIB UPDATE
ECHO:
ECHO If you're a PCDB user, please read INFOLIB.DOC for directions.
ECHO:
ECHO It is recommended INSTLIB be run after you exit PacketCluster
ECHO with SHUTDOWN/QUIET rather than with the DOS exit command.  This
ECHO procedure will insure the PBTINFO command file is executed to
ECHO initialize any new changes.  See INFOREAD.1ST file.
ECHO:
GOTO END
:NEW
ECHO Install steps for the INFOrmation Library for PacketCluster:
ECHO:
ECHO 1. Deletes all files (if they exist) related to the BUREAU, COUNTY,
ECHO    FCC, FLUX, OPINFO, INFO, IRC, SWL databases after they are copied
ECHO    to a temporary directory \PACKCLUS\DBTEMP.  If after successful
ECHO    installation of INFO files, you may delete them.
ECHO:
ECHO 2. Copies the command file PBTINFO to your \PACKCLUS\CMD directory.
ECHO:
ECHO 3. Executes INFOVIF.EXE to uncompress the INFO volume/index files.
ECHO:
ECHO 4. Deletes PBTINFO and INFOVIF.EXE from \PACKCLUS\DB directory.
ECHO:
ECHO 5. Remember to edit your SYSOP.DAT or database definition command
ECHO    file by adding the command line @PBTINFO as described in the
ECHO    comments of that file, or in INFOLIB.DOC.
ECHO:
ECHO You may abort this operation by pressing CTRL-C at the pause prompt.
ECHO:
PAUSE
ECHO:
ECHO Working ...
MD \PACKCLUS\DBTEMP
CD \PACKCLUS\DB
IF EXIST BUREAU.FUL COPY BUREAU.* \PACKCLUS\DBTEMP > NUL
IF EXIST COUNTY.FUL COPY COUNTY.* \PACKCLUS\DBTEMP > NUL
IF EXIST FCC.FUL COPY FCC.* \PACKCLUS\DBTEMP > NUL
IF EXIST FLUX.FUL COPY FLUX.* \PACKCLUS\DBTEMP > NUL
IF EXIST OPINFO.FUL COPY OPINFO.* \PACKCLUS\DBTEMP > NUL
IF EXIST INFO.FUL COPY INFO.* \PACKCLUS\DBTEMP > NUL
IF EXIST IRC.FUL COPY IRC.* \PACKCLUS\DBTEMP > NUL
IF EXIST SWL.FUL COPY SWL.* \PACKCLUS\DBTEMP > NUL
IF EXIST BUREAU.FUL DEL BUREAU.*
IF EXIST COUNTY.FUL DEL COUNTY.*
IF EXIST FCC.FUL DEL FCC.*
IF EXIST FLUX.FUL DEL FLUX.*
IF EXIST OPINFO.FUL DEL OPINFO.*
IF EXIST INFO.FUL DEL INFO.*
IF EXIST IRC.FUL DEL IRC.*
IF EXIST SWL.FUL DEL SWL.*
IF EXIST \PACKCLUS\DBTEMP\*.FUL ECHO Some files were copied to \PACKCLUS\DBTEMP
COPY PBTINFO \PACKCLUS\CMD > NUL
DEL PBTINFO
INFOVIF \PACKCLUS\DB > NUL
DEL INFOVIF.EXE
CLS
ECHO:
ECHO The installation of the INFO Library is now complete.
ECHO:
ECHO Remember to edit your SYSOP.DAT or database command file by adding
ECHO the line @PBTINFO.  Also, a temporary directory \PACKCLUS\DBTEMP
ECHO was made and older databases were copied there.  You may delete
ECHO them and the directory if installation was successful.
ECHO:
GOTO END
:UPDATE
ECHO:
ECHO This file updates the INFOrmation Library previously installed for
ECHO PacketCluster.  Thank you for selecting to update your INFO Library.
ECHO:
PAUSE
ECHO:
ECHO Working ... deleting old INFO files ...
IF EXIST INFO0.VOL DEL INFO*.VOL
IF EXIST INFO0.IDX DEL INFO*.IDX
ECHO Working ... copying PBTINFO to CMD subdirectory ...
COPY PBTINFO \PACKCLUS\CMD > NUL
DEL PBTINFO
ECHO Working ... unpacking new INFO files ...
INFOVIF \PACKCLUS\DB > NUL
DEL INFOVIF.EXE
ECHO:
ECHO The update installation of the INFO Library is completed.
ECHO Please read PSEREAD.ME!, INFOLIB.DOC, and PBTDB.TXT files.
ECHO:
:END
